"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _assocIndexOf = require("./_assocIndexOf.js");
var assocIndexOf = _assocIndexOf._assocIndexOf;
function listCacheSet(key, value) {
  var data = this.__data__, index = assocIndexOf(data, key);
  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}
var _listCacheSet = listCacheSet;
exports._listCacheSet = _listCacheSet;
